diff --git a/web/pgadmin/misc/file_manager/__init__.py b/web/pgadmin/misc/file_manager/__init__.py
index 39aa39315..c1f5f109c 100644
--- a/web/pgadmin/misc/file_manager/__init__.py
+++ b/web/pgadmin/misc/file_manager/__init__.py
@@ -255,7 +255,9 @@ def file_manager_config(trans_id):
         _=gettext,
         data=data,
         file_dialog_view=file_dialog_view,
-        show_hidden_files=show_hidden_files
+        show_hidden_files=show_hidden_files,
+        homedir=os.path.expanduser('~'),
+        server_mode=config.SERVER_MODE
     ),
         status=200,
         mimetype="application/json"
diff --git a/web/pgadmin/misc/file_manager/static/js/utility.js b/web/pgadmin/misc/file_manager/static/js/utility.js
index 353baf560..abcae875f 100644
--- a/web/pgadmin/misc/file_manager/static/js/utility.js
+++ b/web/pgadmin/misc/file_manager/static/js/utility.js
@@ -1141,14 +1141,11 @@ define([
 
     setTimeout(function() {
       var b = $('.currentpath').val(),
-        $level_up = $('.file_manager').find('button.level-up'),
-        $home_btn = $('.file_manager').find('button.home');
+        $level_up = $('.file_manager').find('button.level-up');
 
       if (b === '/') {
         $level_up.attr('disabled', 'disabled');
-        $home_btn.attr('disabled', 'disabled');
       } else {
-        $home_btn.removeAttr('disabled');
         $level_up.removeAttr('disabled');
       }
     }, 100);
@@ -1343,8 +1340,7 @@ define([
         $('.delete_item, .fileinfo .fm_dimmer').hide();
       });
 
-      // Disable home button on load
-      $('.file_manager').find('button.home').attr('disabled', 'disabled');
+      // Disable button on load
       $('.file_manager').find('button.rename').attr('disabled', 'disabled');
 
       // stop click event on dimmer click
@@ -1382,7 +1378,8 @@ define([
       $('.file_manager .home').on('click', function() {
         var currentViewMode = $('.fileinfo').data('view');
         $('.fileinfo').data('view', currentViewMode);
-        getFolderInfo('/');
+        var homedir=(config.options.server_mode=='True')?'/':config.options.homedir;
+        getFolderInfo(homedir);
         enab_dis_level_up();
       });
 
diff --git a/web/pgadmin/misc/file_manager/templates/file_manager/js/file_manager_config.json b/web/pgadmin/misc/file_manager/templates/file_manager/js/file_manager_config.json
index b29fcfb5f..42219b549 100644
--- a/web/pgadmin/misc/file_manager/templates/file_manager/js/file_manager_config.json
+++ b/web/pgadmin/misc/file_manager/templates/file_manager/js/file_manager_config.json
@@ -11,7 +11,9 @@
   "capabilities": [{% for i in data.capabilities %}{% if loop.index != 1 %}, {% endif %}"{{i}}"{% endfor %}],
   "allowed_file_types": [{% for i in data.supported_types %}{% if loop.index != 1 %}, {% endif %}"{{i}}"{% endfor %}],
   "platform_type": "{{ data.platform_type }}",
-  "show_volumes": {% if data.show_volumes %}true{% else %}false{% endif %}
+  "show_volumes": {% if data.show_volumes %}true{% else %}false{% endif %},
+  "homedir":"{{homedir}}",
+  "server_mode":"{{server_mode}}"
  },
  "security": {
   "uploadPolicy": "{{ data.security.uploadPolicy }}",
